#include "perhour.h"
#include "onehourweather.h"
#include <QLabel>
#include <QPushButton>
#include <QGraphicsOpacityEffect>
#include <QDebug>
perhour::perhour(QWidget *parent) : QWidget(parent)
{
    //    this->setFixedSize(850,170);

    m_perhourLayout = new QHBoxLayout(this);

    m_left = new QPushButton(this);
    m_left->setFixedSize(20, 30);
    m_left->setIcon(QIcon(QIcon(":/res/contorl_icons/left.png")));
    m_left->setIconSize(QSize(20, 20));
    m_left->setFocusPolicy(Qt::NoFocus);
    m_left->setFlat(true);

    m_onehourWeatherFirstFirst = new onehourweather(this);
    m_onehourWeatherFirstSecond = new onehourweather(this);
    m_onehourWeatherFirstThird = new onehourweather(this);
    m_onehourWeatherFirstFourth = new onehourweather(this);
    m_onehourWeatherFirstFifth = new onehourweather(this);
    m_onehourWeatherFirstSixth = new onehourweather(this);
    m_onehourWeatherFirstSeventh = new onehourweather(this);
    m_onehourWeatherFirstEighth = new onehourweather(this);

    m_onehourWeatherSecondFirst = new onehourweather(this);
    m_onehourWeatherSecondSecond = new onehourweather(this);
    m_onehourWeatherSecondThird = new onehourweather(this);
    m_onehourWeatherSecondFourth = new onehourweather(this);
    m_onehourWeatherSecondFifth = new onehourweather(this);
    m_onehourWeatherSecondSixth = new onehourweather(this);
    m_onehourWeatherSecondSeventh = new onehourweather(this);
    m_onehourWeatherSecondEighth = new onehourweather(this);

    m_onehourWeatherSecondFirst->hide();
    m_onehourWeatherSecondSecond->hide();
    m_onehourWeatherSecondThird->hide();
    m_onehourWeatherSecondFourth->hide();
    m_onehourWeatherSecondFifth->hide();
    m_onehourWeatherSecondSixth->hide();
    m_onehourWeatherSecondSeventh->hide();
    m_onehourWeatherSecondEighth->hide();



    m_onehourWeatherThirdFirst = new onehourweather(this);
    m_onehourWeatherThirdSecond = new onehourweather(this);
    m_onehourWeatherThirdThird = new onehourweather(this);
    m_onehourWeatherThirdFourth = new onehourweather(this);
    m_onehourWeatherThirdFifth = new onehourweather(this);
    m_onehourWeatherThirdSixth = new onehourweather(this);
    m_onehourWeatherThirdSeventh = new onehourweather(this);
    m_onehourWeatherThirdEighth = new onehourweather(this);


    m_onehourWeatherThirdFirst->hide();
    m_onehourWeatherThirdSecond->hide();
    m_onehourWeatherThirdThird->hide();
    m_onehourWeatherThirdFourth->hide();
    m_onehourWeatherThirdFifth->hide();
    m_onehourWeatherThirdSixth->hide();
    m_onehourWeatherThirdSeventh->hide();
    m_onehourWeatherThirdEighth->hide();

    m_right = new QPushButton(this);
    m_right->setFixedSize(20, 30);
    m_right->setIcon(QIcon(QIcon(":/res/contorl_icons/right.png")));
    m_right->setIconSize(QSize(20, 20));
    m_right->setFocusPolicy(Qt::NoFocus);
    m_right->setFlat(true);

    this->initLayout(currentPage);
    this->initQss();
    this->initConnect();
}

// 逐小时信息
void perhour::setHourlyInfor(QList<Hourly> tmp_list, int m_isFullScreen)
{
    tmpList = tmp_list;

    m_firstFirstIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(0).cond_code + ".png";
    m_firstSecondIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(1).cond_code + ".png";
    m_firstThirdIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(2).cond_code + ".png";
    m_firstFourthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(3).cond_code + ".png";
    m_firstFifthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(4).cond_code + ".png";
    m_firstSixthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(5).cond_code + ".png";
    m_firstSeventhIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(6).cond_code + ".png";
    m_firstEighthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(7).cond_code + ".png";

    m_secondFirstIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(8).cond_code + ".png";
    m_secondSecondIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(9).cond_code + ".png";
    m_secondThirdIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(10).cond_code + ".png";
    m_secondFourthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(11).cond_code + ".png";
    m_secondFifthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(12).cond_code + ".png";
    m_secondSixthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(13).cond_code + ".png";
    m_secondSeventhIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(14).cond_code + ".png";
    m_secondEighthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(15).cond_code + ".png";

    m_thirdFirstIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(16).cond_code + ".png";
    m_thirdSecondIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(17).cond_code + ".png";
    m_thirdThirdIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(18).cond_code + ".png";
    m_thirdFourthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(19).cond_code + ".png";
    m_thirdFifthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(20).cond_code + ".png";
    m_thirdSixthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(21).cond_code + ".png";
    m_thirdSeventhIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(22).cond_code + ".png";
    m_thirdEighthIconPath = ":/res/weather-icon/PNG48/1x/" + tmp_list.at(23).cond_code + ".png";

    QFileInfo m_firstFirstIconPathFile(m_firstFirstIconPath);
    if (m_firstFirstIconPathFile.exists() == false) {
        m_firstFirstIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstSecondIconPathFile(m_firstSecondIconPath);
    if (m_firstSecondIconPathFile.exists() == false) {
        m_firstSecondIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstThirdIconPathFile(m_firstThirdIconPath);
    if (m_firstThirdIconPathFile.exists() == false) {
        m_firstThirdIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstFourthIconPathFile(m_firstFourthIconPath);
    if (m_firstFourthIconPathFile.exists() == false) {
        m_firstFourthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstFifthIconPathFile(m_firstFifthIconPath);
    if (m_firstFifthIconPathFile.exists() == false) {
        m_firstFifthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstSixthIconPathFile(m_firstSixthIconPath);
    if (m_firstSixthIconPathFile.exists() == false) {
        m_firstSixthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstSeventhIconPathFile(m_firstSeventhIconPath);
    if (m_firstSeventhIconPathFile.exists() == false) {
        m_firstSeventhIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstEighthIconPathFile(m_firstEighthIconPath);
    if (m_firstEighthIconPathFile.exists() == false) {
        m_firstEighthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }

    QFileInfo m_secondFirstIconPathFile(m_secondFirstIconPath);
    if (m_secondFirstIconPathFile.exists() == false) {
        m_secondFirstIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondSecondIconPathFile(m_secondSecondIconPath);
    if (m_secondSecondIconPathFile.exists() == false) {
        m_secondSecondIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondThirdIconPathFile(m_secondThirdIconPath);
    if (m_secondThirdIconPathFile.exists() == false) {
        m_secondThirdIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondFourthIconPathFile(m_secondFourthIconPath);
    if (m_secondFourthIconPathFile.exists() == false) {
        m_secondFourthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondFifthIconPathFile(m_secondFifthIconPath);
    if (m_secondFifthIconPathFile.exists() == false) {
        m_secondFifthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondSixthIconPathFile(m_secondSixthIconPath);
    if (m_secondSixthIconPathFile.exists() == false) {
        m_secondSixthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondSeventhIconPathFile(m_secondSeventhIconPath);
    if (m_secondSeventhIconPathFile.exists() == false) {
        m_secondSeventhIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondEighthIconPathFile(m_secondEighthIconPath);
    if (m_secondEighthIconPathFile.exists() == false) {
        m_secondEighthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }

    QFileInfo m_thirdFirstIconPathFile(m_thirdFirstIconPath);
    if (m_thirdFirstIconPathFile.exists() == false) {
        m_thirdFirstIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdSecondIconPathFile(m_thirdSecondIconPath);
    if (m_thirdSecondIconPathFile.exists() == false) {
        m_thirdSecondIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdThirdIconPathFile(m_thirdThirdIconPath);
    if (m_thirdThirdIconPathFile.exists() == false) {
        m_thirdThirdIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdFourthIconPathFile(m_thirdFourthIconPath);
    if (m_thirdFourthIconPathFile.exists() == false) {
        m_thirdFourthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdFifthIconPathFile(m_thirdFifthIconPath);
    if (m_thirdFifthIconPathFile.exists() == false) {
        m_thirdFifthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdSixthIconPathFile(m_thirdSixthIconPath);
    if (m_thirdSixthIconPathFile.exists() == false) {
        m_thirdSixthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdSeventhIconPathFile(m_thirdSeventhIconPath);
    if (m_thirdSeventhIconPathFile.exists() == false) {
        m_thirdSeventhIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdEighthIconPathFile(m_thirdEighthIconPath);
    if (m_thirdEighthIconPathFile.exists() == false) {
        m_thirdEighthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }


    // ---------- 第一页 -------------
    m_onehourWeatherFirstFirst->m_time->setText(tmp_list.at(0).time);
    m_onehourWeatherFirstFirst->m_icon->setPixmap(QPixmap(m_firstFirstIconPath));
    m_onehourWeatherFirstFirst->m_temperature->setText(tmp_list.at(0).tmp);

    m_onehourWeatherFirstSecond->m_time->setText(tmp_list.at(1).time);
    m_onehourWeatherFirstSecond->m_icon->setPixmap(QPixmap(m_firstSecondIconPath));
    m_onehourWeatherFirstSecond->m_temperature->setText(tmp_list.at(1).tmp);

    m_onehourWeatherFirstThird->m_time->setText(tmp_list.at(2).time);
    m_onehourWeatherFirstThird->m_icon->setPixmap(QPixmap(m_firstThirdIconPath));
    m_onehourWeatherFirstThird->m_temperature->setText(tmp_list.at(2).tmp);

    m_onehourWeatherFirstFourth->m_time->setText(tmp_list.at(3).time);
    m_onehourWeatherFirstFourth->m_icon->setPixmap(QPixmap(m_firstFourthIconPath));
    m_onehourWeatherFirstFourth->m_temperature->setText(tmp_list.at(3).tmp);

    m_onehourWeatherFirstFifth->m_time->setText(tmp_list.at(4).time);
    m_onehourWeatherFirstFifth->m_icon->setPixmap(QPixmap(m_firstFifthIconPath));
    m_onehourWeatherFirstFifth->m_temperature->setText(tmp_list.at(4).tmp);

    m_onehourWeatherFirstSixth->m_time->setText(tmp_list.at(5).time);
    m_onehourWeatherFirstSixth->m_icon->setPixmap(QPixmap(m_firstSixthIconPath));
    m_onehourWeatherFirstSixth->m_temperature->setText(tmp_list.at(5).tmp);

    m_onehourWeatherFirstSeventh->m_time->setText(tmp_list.at(6).time);
    m_onehourWeatherFirstSeventh->m_icon->setPixmap(QPixmap(m_firstSeventhIconPath));
    m_onehourWeatherFirstSeventh->m_temperature->setText(tmp_list.at(6).tmp);

    m_onehourWeatherFirstEighth->m_time->setText(tmp_list.at(7).time);
    m_onehourWeatherFirstEighth->m_icon->setPixmap(QPixmap(m_firstEighthIconPath));
    m_onehourWeatherFirstEighth->m_temperature->setText(tmp_list.at(7).tmp);
    // ----------- 第二页 -------------
    m_onehourWeatherSecondFirst->m_time->setText(tmp_list.at(8).time);
    m_onehourWeatherSecondFirst->m_icon->setPixmap(QPixmap(m_secondFirstIconPath));
    m_onehourWeatherSecondFirst->m_temperature->setText(tmp_list.at(8).tmp);

    m_onehourWeatherSecondSecond->m_time->setText(tmp_list.at(9).time);
    m_onehourWeatherSecondSecond->m_icon->setPixmap(QPixmap(m_secondSecondIconPath));
    m_onehourWeatherSecondSecond->m_temperature->setText(tmp_list.at(9).tmp);

    m_onehourWeatherSecondThird->m_time->setText(tmp_list.at(10).time);
    m_onehourWeatherSecondThird->m_icon->setPixmap(QPixmap(m_secondThirdIconPath));
    m_onehourWeatherSecondThird->m_temperature->setText(tmp_list.at(10).tmp);

    m_onehourWeatherSecondFourth->m_time->setText(tmp_list.at(11).time);
    m_onehourWeatherSecondFourth->m_icon->setPixmap(QPixmap(m_secondFourthIconPath));
    m_onehourWeatherSecondFourth->m_temperature->setText(tmp_list.at(11).tmp);

    m_onehourWeatherSecondFifth->m_time->setText(tmp_list.at(12).time);
    m_onehourWeatherSecondFifth->m_icon->setPixmap(QPixmap(m_secondFifthIconPath));
    m_onehourWeatherSecondFifth->m_temperature->setText(tmp_list.at(12).tmp);

    m_onehourWeatherSecondSixth->m_time->setText(tmp_list.at(13).time);
    m_onehourWeatherSecondSixth->m_icon->setPixmap(QPixmap(m_secondSixthIconPath));
    m_onehourWeatherSecondSixth->m_temperature->setText(tmp_list.at(13).tmp);

    m_onehourWeatherSecondSeventh->m_time->setText(tmp_list.at(14).time);
    m_onehourWeatherSecondSeventh->m_icon->setPixmap(QPixmap(m_secondSeventhIconPath));
    m_onehourWeatherSecondSeventh->m_temperature->setText(tmp_list.at(14).tmp);

    m_onehourWeatherSecondEighth->m_time->setText(tmp_list.at(15).time);
    m_onehourWeatherSecondEighth->m_icon->setPixmap(QPixmap(m_secondEighthIconPath));
    m_onehourWeatherSecondEighth->m_temperature->setText(tmp_list.at(15).tmp);
    // ------------------ 第三页 ----------------------------
    m_onehourWeatherThirdFirst->m_time->setText(tmp_list.at(16).time);
    m_onehourWeatherThirdFirst->m_icon->setPixmap(QPixmap(m_thirdFirstIconPath));
    m_onehourWeatherThirdFirst->m_temperature->setText(tmp_list.at(16).tmp);

    m_onehourWeatherThirdSecond->m_time->setText(tmp_list.at(17).time);
    m_onehourWeatherThirdSecond->m_icon->setPixmap(QPixmap(m_thirdSecondIconPath));
    m_onehourWeatherThirdSecond->m_temperature->setText(tmp_list.at(17).tmp);

    m_onehourWeatherThirdThird->m_time->setText(tmp_list.at(18).time);
    m_onehourWeatherThirdThird->m_icon->setPixmap(QPixmap(m_thirdThirdIconPath));
    m_onehourWeatherThirdThird->m_temperature->setText(tmp_list.at(18).tmp);

    m_onehourWeatherThirdFourth->m_time->setText(tmp_list.at(19).time);
    m_onehourWeatherThirdFourth->m_icon->setPixmap(QPixmap(m_thirdFourthIconPath));
    m_onehourWeatherThirdFourth->m_temperature->setText(tmp_list.at(19).tmp);

    m_onehourWeatherThirdFifth->m_time->setText(tmp_list.at(20).time);
    m_onehourWeatherThirdFifth->m_icon->setPixmap(QPixmap(m_thirdFifthIconPath));
    m_onehourWeatherThirdFifth->m_temperature->setText(tmp_list.at(20).tmp);

    m_onehourWeatherThirdSixth->m_time->setText(tmp_list.at(21).time);
    m_onehourWeatherThirdSixth->m_icon->setPixmap(QPixmap(m_thirdSixthIconPath));
    m_onehourWeatherThirdSixth->m_temperature->setText(tmp_list.at(21).tmp);

    m_onehourWeatherThirdSeventh->m_time->setText(tmp_list.at(22).time);
    m_onehourWeatherThirdSeventh->m_icon->setPixmap(QPixmap(m_thirdSeventhIconPath));
    m_onehourWeatherThirdSeventh->m_temperature->setText(tmp_list.at(22).tmp);

    m_onehourWeatherThirdEighth->m_time->setText(tmp_list.at(23).time);
    m_onehourWeatherThirdEighth->m_icon->setPixmap(QPixmap(m_thirdEighthIconPath));
    m_onehourWeatherThirdEighth->m_temperature->setText(tmp_list.at(23).tmp);
}

void perhour::setHourlyIcon(int m_isFullScreen)
{
    if (tmpList.isEmpty()) {

        return;
    }
    m_firstFirstIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(0).cond_code + ".png";
    m_firstSecondIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(1).cond_code + ".png";
    m_firstThirdIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(2).cond_code + ".png";
    m_firstFourthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(3).cond_code + ".png";
    m_firstFifthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(4).cond_code + ".png";
    m_firstSixthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(5).cond_code + ".png";
    m_firstSeventhIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(6).cond_code + ".png";
    m_firstEighthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(7).cond_code + ".png";

    m_secondFirstIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(8).cond_code + ".png";
    m_secondSecondIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(9).cond_code + ".png";
    m_secondThirdIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(10).cond_code + ".png";
    m_secondFourthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(11).cond_code + ".png";
    m_secondFifthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(12).cond_code + ".png";
    m_secondSixthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(13).cond_code + ".png";
    m_secondSeventhIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(14).cond_code + ".png";
    m_secondEighthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(15).cond_code + ".png";

    m_thirdFirstIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(16).cond_code + ".png";
    m_thirdSecondIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(17).cond_code + ".png";
    m_thirdThirdIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(18).cond_code + ".png";
    m_thirdFourthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(19).cond_code + ".png";
    m_thirdFifthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(20).cond_code + ".png";
    m_thirdSixthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(21).cond_code + ".png";
    m_thirdSeventhIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(22).cond_code + ".png";
    m_thirdEighthIconPath = ":/res/weather-icon/PNG48/1x/" + tmpList.at(23).cond_code + ".png";

    QFileInfo m_firstFirstIconPathFile(m_firstFirstIconPath);
    if (m_firstFirstIconPathFile.exists() == false) {
        m_firstFirstIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstSecondIconPathFile(m_firstSecondIconPath);
    if (m_firstSecondIconPathFile.exists() == false) {
        m_firstSecondIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstThirdIconPathFile(m_firstThirdIconPath);
    if (m_firstThirdIconPathFile.exists() == false) {
        m_firstThirdIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstFourthIconPathFile(m_firstFourthIconPath);
    if (m_firstFourthIconPathFile.exists() == false) {
        m_firstFourthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstFifthIconPathFile(m_firstFifthIconPath);
    if (m_firstFifthIconPathFile.exists() == false) {
        m_firstFifthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstSixthIconPathFile(m_firstSixthIconPath);
    if (m_firstSixthIconPathFile.exists() == false) {
        m_firstSixthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstSeventhIconPathFile(m_firstSeventhIconPath);
    if (m_firstSeventhIconPathFile.exists() == false) {
        m_firstSeventhIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_firstEighthIconPathFile(m_firstEighthIconPath);
    if (m_firstEighthIconPathFile.exists() == false) {
        m_firstEighthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }

    QFileInfo m_secondFirstIconPathFile(m_secondFirstIconPath);
    if (m_secondFirstIconPathFile.exists() == false) {
        m_secondFirstIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondSecondIconPathFile(m_secondSecondIconPath);
    if (m_secondSecondIconPathFile.exists() == false) {
        m_secondSecondIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondThirdIconPathFile(m_secondThirdIconPath);
    if (m_secondThirdIconPathFile.exists() == false) {
        m_secondThirdIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondFourthIconPathFile(m_secondFourthIconPath);
    if (m_secondFourthIconPathFile.exists() == false) {
        m_secondFourthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondFifthIconPathFile(m_secondFifthIconPath);
    if (m_secondFifthIconPathFile.exists() == false) {
        m_secondFifthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondSixthIconPathFile(m_secondSixthIconPath);
    if (m_secondSixthIconPathFile.exists() == false) {
        m_secondSixthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondSeventhIconPathFile(m_secondSeventhIconPath);
    if (m_secondSeventhIconPathFile.exists() == false) {
        m_secondSeventhIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_secondEighthIconPathFile(m_secondEighthIconPath);
    if (m_secondEighthIconPathFile.exists() == false) {
        m_secondEighthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }

    QFileInfo m_thirdFirstIconPathFile(m_thirdFirstIconPath);
    if (m_thirdFirstIconPathFile.exists() == false) {
        m_thirdFirstIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdSecondIconPathFile(m_thirdSecondIconPath);
    if (m_thirdSecondIconPathFile.exists() == false) {
        m_thirdSecondIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdThirdIconPathFile(m_thirdThirdIconPath);
    if (m_thirdThirdIconPathFile.exists() == false) {
        m_thirdThirdIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdFourthIconPathFile(m_thirdFourthIconPath);
    if (m_thirdFourthIconPathFile.exists() == false) {
        m_thirdFourthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdFifthIconPathFile(m_thirdFifthIconPath);
    if (m_thirdFifthIconPathFile.exists() == false) {
        m_thirdFifthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdSixthIconPathFile(m_thirdSixthIconPath);
    if (m_thirdSixthIconPathFile.exists() == false) {
        m_thirdSixthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdSeventhIconPathFile(m_thirdSeventhIconPath);
    if (m_thirdSeventhIconPathFile.exists() == false) {
        m_thirdSeventhIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }
    QFileInfo m_thirdEighthIconPathFile(m_thirdEighthIconPath);
    if (m_thirdEighthIconPathFile.exists() == false) {
        m_thirdEighthIconPath = ":/res/weather-icon/PNG48/1x/100.png";
    }

    m_onehourWeatherFirstFirst->m_icon->resize(72, 66);
    QPixmap firstFirstPixmap(m_firstFirstIconPath);
    m_onehourWeatherFirstFirst->m_icon->setPixmap(firstFirstPixmap);

    m_onehourWeatherFirstSecond->m_icon->resize(72, 66);
    QPixmap firstSecondPixmap(m_firstSecondIconPath);
    m_onehourWeatherFirstSecond->m_icon->setPixmap(firstSecondPixmap);

    m_onehourWeatherFirstThird->m_icon->resize(72, 66);
    QPixmap firstThirdPixmap(m_firstThirdIconPath);
    m_onehourWeatherFirstThird->m_icon->setPixmap(firstThirdPixmap);

    m_onehourWeatherFirstFourth->m_icon->resize(72, 66);
    QPixmap firstFourthPixmap(m_firstFourthIconPath);
    m_onehourWeatherFirstFourth->m_icon->setPixmap(firstFourthPixmap);

    m_onehourWeatherFirstFifth->m_icon->resize(72, 66);
    QPixmap firstFifthPixmap(m_firstFifthIconPath);
    m_onehourWeatherFirstFifth->m_icon->setPixmap(firstFifthPixmap);

    m_onehourWeatherFirstSixth->m_icon->resize(72, 66);
    QPixmap firstSixthPixmap(m_firstSixthIconPath);
    m_onehourWeatherFirstSixth->m_icon->setPixmap(firstSixthPixmap);

    m_onehourWeatherFirstSeventh->m_icon->resize(72, 66);
    QPixmap firstSeventhPixmap(m_firstSeventhIconPath);
    m_onehourWeatherFirstSeventh->m_icon->setPixmap(firstSeventhPixmap);

    m_onehourWeatherFirstEighth->m_icon->resize(72, 66);

    QPixmap firstEighthPixmap(m_firstEighthIconPath);
    m_onehourWeatherFirstEighth->m_icon->setPixmap(firstEighthPixmap);
    // ----------- 第二页 -------------
    m_onehourWeatherSecondFirst->m_icon->resize(72, 66);
    QPixmap secondFirstPixmap(m_secondFirstIconPath);
    m_onehourWeatherSecondFirst->m_icon->setPixmap(secondFirstPixmap);

    m_onehourWeatherSecondSecond->m_icon->resize(72, 66);
    QPixmap secondSecondPixmap(m_secondSecondIconPath);
    m_onehourWeatherSecondSecond->m_icon->setPixmap(secondSecondPixmap);

    m_onehourWeatherSecondThird->m_icon->resize(36, 33);
    QPixmap secondThirdPixmap(m_secondThirdIconPath);
    m_onehourWeatherSecondThird->m_icon->setPixmap(secondThirdPixmap);

    m_onehourWeatherSecondFourth->m_icon->resize(72, 66);
    QPixmap secondFourthPixmap(m_secondFourthIconPath);
    m_onehourWeatherSecondFourth->m_icon->setPixmap(secondFourthPixmap);

    m_onehourWeatherSecondFifth->m_icon->resize(72, 66);
    QPixmap secondFifthPixmap(m_secondFifthIconPath);
    m_onehourWeatherSecondFifth->m_icon->setPixmap(secondFifthPixmap);

    m_onehourWeatherSecondSixth->m_icon->resize(72, 66);
    QPixmap secondSixthPixmap(m_secondSixthIconPath);
    m_onehourWeatherSecondSixth->m_icon->setPixmap(secondSixthPixmap);

    m_onehourWeatherSecondSeventh->m_icon->resize(72, 66);
    QPixmap secondSeventhPixmap(m_secondSeventhIconPath);
    m_onehourWeatherSecondSeventh->m_icon->setPixmap(secondSeventhPixmap);

    m_onehourWeatherSecondEighth->m_icon->resize(72, 66);
    QPixmap secondEighthPixmap(m_secondEighthIconPath);
    m_onehourWeatherSecondEighth->m_icon->setPixmap(secondEighthPixmap);
    // ------------------ 第三页 ----------------------------
    m_onehourWeatherThirdFirst->m_icon->resize(72, 66);
    QPixmap thirdFirstPixmap(m_thirdFirstIconPath);
    m_onehourWeatherThirdFirst->m_icon->setPixmap(thirdFirstPixmap);

    m_onehourWeatherThirdSecond->m_icon->resize(72, 66);
    QPixmap thirdSecondPixmap(m_thirdSecondIconPath);
    m_onehourWeatherThirdSecond->m_icon->setPixmap(thirdSecondPixmap);

    m_onehourWeatherThirdThird->m_icon->resize(72, 66);
    QPixmap thirdThirdPixmap(m_thirdThirdIconPath);
    m_onehourWeatherThirdThird->m_icon->setPixmap(thirdThirdPixmap);

    m_onehourWeatherThirdFourth->m_icon->resize(72, 66);
    QPixmap thirdFourthPixmap(m_thirdFourthIconPath);
    m_onehourWeatherThirdFourth->m_icon->setPixmap(thirdFourthPixmap);

    m_onehourWeatherThirdFifth->m_icon->resize(72, 66);
    QPixmap thirdFifthPixmap(m_thirdFifthIconPath);
    m_onehourWeatherThirdFifth->m_icon->setPixmap(thirdFifthPixmap);

    m_onehourWeatherThirdSixth->m_icon->resize(72, 66);
    QPixmap thirdSixthPixmap(m_thirdSixthIconPath);
    m_onehourWeatherThirdSixth->m_icon->setPixmap(thirdSixthPixmap);

    m_onehourWeatherThirdSeventh->m_icon->resize(72, 66);
    QPixmap thirdSeventhPixmap(m_thirdSeventhIconPath);
    m_onehourWeatherThirdSeventh->m_icon->setPixmap(thirdSeventhPixmap);

    m_onehourWeatherThirdEighth->m_icon->resize(72, 66);
    QPixmap thirdEighthPixmap(m_thirdEighthIconPath);
    m_onehourWeatherThirdEighth->m_icon->setPixmap(thirdEighthPixmap);
}

void perhour::initLayout(int currentPage)
{
    //    清空 m_perhourLayout 布局内的所有元素
    QLayoutItem *child;
    while ((child = m_perhourLayout->takeAt(0)) != 0) {
        // setParent为NULL，防止删除之后界面不消失
        if (child->widget()) {
            child->widget()->setParent(NULL);
        }
        delete child;
    }
    if (currentPage == 1) {
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_left);
        m_perhourLayout->addStretch(1);
        m_perhourLayout->addWidget(m_onehourWeatherFirstFirst);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherFirstSecond);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherFirstThird);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherFirstFourth);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherFirstFifth);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherFirstSixth);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherFirstSeventh);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherFirstEighth);
        m_perhourLayout->addStretch(1);
        m_perhourLayout->addWidget(m_right);
        m_perhourLayout->addStretch(2);
    } else if (currentPage == 2) {
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_left);
        m_perhourLayout->addStretch(1);
        m_perhourLayout->addWidget(m_onehourWeatherSecondFirst);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherSecondSecond);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherSecondThird);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherSecondFourth);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherSecondFifth);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherSecondSixth);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherSecondSeventh);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherSecondEighth);
        m_perhourLayout->addStretch(1);
        m_perhourLayout->addWidget(m_right);
        m_perhourLayout->addStretch(2);

        m_onehourWeatherSecondFirst->show();
        m_onehourWeatherSecondSecond->show();
        m_onehourWeatherSecondThird->show();
        m_onehourWeatherSecondFourth->show();
        m_onehourWeatherSecondFifth->show();
        m_onehourWeatherSecondSixth->show();
        m_onehourWeatherSecondSeventh->show();
        m_onehourWeatherSecondEighth->show();
    } else if (currentPage == 3) {
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_left);
        m_perhourLayout->addStretch(1);
        m_perhourLayout->addWidget(m_onehourWeatherThirdFirst);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherThirdSecond);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherThirdThird);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherThirdFourth);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherThirdFifth);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherThirdSixth);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherThirdSeventh);
        m_perhourLayout->addStretch(2);
        m_perhourLayout->addWidget(m_onehourWeatherThirdEighth);
        m_perhourLayout->addStretch(1);
        m_perhourLayout->addWidget(m_right);
        m_perhourLayout->addStretch(2);

        m_onehourWeatherThirdFirst->show();
        m_onehourWeatherThirdSecond->show();
        m_onehourWeatherThirdThird->show();
        m_onehourWeatherThirdFourth->show();
        m_onehourWeatherThirdFifth->show();
        m_onehourWeatherThirdSixth->show();
        m_onehourWeatherThirdSeventh->show();
        m_onehourWeatherThirdEighth->show();
    }
    m_perhourLayout->setContentsMargins(0, 0, 0, 0);
    this->setLayout(m_perhourLayout);
}

void perhour::initQss()
{
    m_left->setStyleSheet("QPushButton{background:transparent;color:rgba(255,0,0,0.5);}"
                          "QPushButton::hover{background:transparent;background-color:rgba(255,0,0,50);}"
                          "QPushButton::press{background:transparent;}");
    m_right->setStyleSheet("QPushButton{background:transparent;color:rgba(255,0,0,0.5);}"
                           "QPushButton::hover{background:transparent;background-color:rgba(255,0,0,50);}"
                           "QPushButton::press{background:transparent;}");
}

void perhour::initConnect()
{
    connect(m_left, &QPushButton::clicked, this, &perhour::turnLeft);
    connect(m_right, &QPushButton::clicked, this, &perhour::turnRight);

    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherFirstFirst, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherFirstSecond, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherFirstThird, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherFirstFourth, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherFirstFifth, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherFirstSixth, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherFirstSeventh, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherFirstEighth, &onehourweather::isFullScreen);

    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherSecondFirst, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherSecondSecond, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherSecondThird, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherSecondFourth, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherSecondFifth, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherSecondSixth, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherSecondSeventh, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherSecondEighth, &onehourweather::isFullScreen);

    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherThirdFirst, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherThirdSecond, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherThirdThird, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherThirdFourth, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherThirdFifth, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherThirdSixth, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherThirdSeventh, &onehourweather::isFullScreen);
    connect(this, &perhour::sendIsFullScreen, m_onehourWeatherThirdEighth, &onehourweather::isFullScreen);
}

void perhour::turnLeft()
{
    if (currentPage == 1) {
        return;
    } else if (currentPage == 2) {
        currentPage = 1;
        initLayout(currentPage);
    } else if (currentPage == 3) {
        currentPage = 2;
        initLayout(currentPage);
    }
}

void perhour::turnRight()
{
    if (currentPage == 1) {
        currentPage = 2;
        initLayout(currentPage);
    } else if (currentPage == 2) {
        currentPage = 3;
        initLayout(currentPage);
    } else if (currentPage == 3) {
        return;
    }
}
